Index: code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11302)
+++ code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11303)
@@ -18,4 +18,7 @@
   include("templates/lodInformation.oxt")
   include("templates/fastship.oxt")
+  include("templates/spaceshipPirate.oxt")
+
+  include("templates/spaceshipAssff.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
 
@@ -81,11 +84,11 @@
     <SpawnPoint position="0,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
-<SpawnPoint position="-50,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
+<SpawnPoint position="-75,0,-50" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
-<SpawnPoint position="-100,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
+<SpawnPoint position="-75,0,50" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
-<SpawnPoint position="-150,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
+<SpawnPoint position="-150,0,-100" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
-<SpawnPoint position="-200,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
+<SpawnPoint position="-15,0,100" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
 
@@ -229,5 +232,5 @@
 
 
-<RaceCheckPoint name="checkpoint3" yaw=90 pitch=90 position="5000,100,300" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
+<RaceCheckPoint name="checkpoint3" yaw=90 pitch=90 position="5000,100,500" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -269,5 +272,5 @@
 
 
-<RaceCheckPoint name="checkpoint6" yaw=90 pitch=90 position="13000,100,100" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
+<RaceCheckPoint name="checkpoint6" yaw=90 pitch=90 position="13000,200,400" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -309,5 +312,5 @@
 
 
-<RaceCheckPoint name="checkpoint9" yaw=90 pitch=90 position="21000,120,-120" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
+<RaceCheckPoint name="checkpoint9" yaw=90 pitch=90 position="21000,200,-120" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -347,18 +350,18 @@
 
 
-<RaceCheckPoint name="checkpoint12" yaw=90 pitch=90 position="30000,-50,50" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint13" yaw=90 pitch=90 position="33000,80,60" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
+<RaceCheckPoint name="checkpoint12" yaw=90 pitch=90 position="30000,-300,900" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint13" yaw=90 pitch=90 position="33000,600,60" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -386,17 +389,17 @@
     </RaceCheckPoint>
 
-<RaceCheckPoint name="checkpoint15" yaw=90 pitch=90 position="38000,80,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="14" islast="false" nextcheckpoints="15,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint15" yaw=90 pitch=90 position="41000,30,-50" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="40" checkpointindex="14" islast="true">
+<RaceCheckPoint name="checkpoint15" yaw=90 pitch=90 position="38000,-200,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="14" islast="false" nextcheckpoints="15,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint16" yaw=90 pitch=90 position="41000,30,-50" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="15" islast="true">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -419,15 +422,28 @@
 
     <!--at checkpoint3-->
-    <PickupSpawner pickup=mediumpeedpickup position="4800,100,300" triggerDistance="60" respawnTime="10" maxSpawnedItems="99" scale="8" />
     <!--at checkpoint#6-->
+    <!--at checkpoint#6--
+
     <PickupSpawner pickup=mediumshrinkpickup position="14800,0,0" triggerDistance="60" respawnTime="20" maxSpawnedItems="5" scale="8"/>
-    <!--at checkpoint9-->
+    <!--at checkpoint9
+
+
+    <PickupSpawner pickup=smallspeedpickup position="3000,200,100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" scale = "12" />
+    <PickupSpawner pickup=mediumspeedpickup position="1000,30,0" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" scale = "12"/>
+    <PickupSpawner pickup=hugespeedpickup position="5000,100,300" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" scale = "12" />
+    
+
+
+    <PickupSpawner pickup=smalljumppickup position="50,25,-125" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" />
+
+
+
     <PickupSpawner pickup=smallshrinkpickup position="20800,120,-120" triggerDistance="60" respawnTime="10" maxSpawnedItems="10" scale="8"/>
-    <!--at checkpoint12-->
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="29800,-50,50" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <!--stray pickups-->
+    <!--at checkpoint12
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="8000,-150,150" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <!--stray pickups-
     <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="6000,-300,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
     <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="9000,300,200" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="20000,-400,0" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="20000,-400,0" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/> -->
 
   </Scene>
Index: code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11302)
+++ code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11303)
@@ -25,8 +25,8 @@
 
 
-   boostPower            = 10
-   boostPowerRate        = 10
-   boostRate             = 10
-   boostCooldownDuration = 10
+   boostPower            = 8
+   boostPowerRate        = 3
+   boostRate             = 8
+   boostCooldownDuration = 6
 
    shakeFrequency = 50
@@ -85,8 +85,8 @@
 <Template name=spaceshipassffengine baseclass=MultiStateEngine>
   <MultiStateEngine
-  boostfactor    = 10
+  boostfactor    = 4
 
-   speedfront     =  1000
-   speedback      =  1000
+   speedfront     =  3000
+   speedback      =  1500
    speedleftright =  50
    speedupdown    =  50
@@ -95,5 +95,5 @@
    defEngineSndBoost = "sounds/Engine_high.ogg"
    
-   accelerationfront     = 300
+   accelerationfront     = 400
    accelerationbrake     = 300
    accelerationback      = 125
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11302)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11303)
@@ -220,6 +220,9 @@
         for (unsigned int i = 0; i < amount; ++i)
             this->botclass_.fabricate(this->getContext());
-    }
-
+   
+
+
+
+    }
 
 
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11302)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11303)
@@ -380,4 +380,6 @@
         //orxout(user_status) << "dt= " << dt << ";  distance= " << (lastPositionSpaceship-this->getControllableEntity()->getPosition()).length() <<std::endl;
         lastPositionSpaceship = this->getControllableEntity()->getPosition();
+       
+this->boostControl();
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
     }