Index: code/branches/Highscore_HS16/src/libraries/core/CMakeLists.txt
===================================================================
--- code/branches/Highscore_HS16/src/libraries/core/CMakeLists.txt	(revision 11267)
+++ code/branches/Highscore_HS16/src/libraries/core/CMakeLists.txt	(revision 11304)
@@ -27,4 +27,5 @@
   GameMode.cc
   GameState.cc
+  Highscore.cc
   Language.cc
   Loader.cc
@@ -90,4 +91,5 @@
     GraphicsManager.h
     GUIManager.h
+    Highscore.h
     Loader.h
     LuaState.h
Index: code/branches/Highscore_HS16/src/libraries/core/Highscore.cc
===================================================================
--- code/branches/Highscore_HS16/src/libraries/core/Highscore.cc	(revision 11304)
+++ code/branches/Highscore_HS16/src/libraries/core/Highscore.cc	(revision 11304)
@@ -0,0 +1,30 @@
+#include "Highscore.h"
+
+#include <vector>
+#include "core/CoreIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
+
+
+namespace orxonox
+{
+
+	RegisterClassNoArgs(Highscore);
+
+	Highscore::Highscore()
+    {
+        RegisterObject(Highscore);
+        this->setConfigValues();
+    }
+
+    void Highscore::setConfigValues()
+    {
+       
+		SetConfigValue(name_, "Orxonox").description("The name of the game");
+    }
+
+    /* static */ std::string Highscore::getName(){
+        std::string result;
+        result = Highscore::name_;
+        return result;
+    }
+}
Index: code/branches/Highscore_HS16/src/libraries/core/Highscore.h
===================================================================
--- code/branches/Highscore_HS16/src/libraries/core/Highscore.h	(revision 11304)
+++ code/branches/Highscore_HS16/src/libraries/core/Highscore.h	(revision 11304)
@@ -0,0 +1,24 @@
+
+
+#include <string>
+#include "core/config/Configurable.h"
+
+namespace orxonox
+{
+class _CoreExport Highscore : virtual public Configurable
+{
+    public:
+        Highscore();              // Constructor
+        void setConfigValues(); // Inherited function
+        void storeHighscore(std::string player, std::string level, int points);
+
+		static std::string getName(); // tolua_export
+           
+
+    private:
+        std::string name_;
+        float version_;
+};
+
+
+}
Index: code/branches/Highscore_HS16/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/Highscore_HS16/src/orxonox/CMakeLists.txt	(revision 11267)
+++ code/branches/Highscore_HS16/src/orxonox/CMakeLists.txt	(revision 11304)
@@ -46,4 +46,5 @@
 ADD_SUBDIRECTORY(gametypes)
 ADD_SUBDIRECTORY(graphics)
+ADD_SUBDIRECTORY(highscore)
 ADD_SUBDIRECTORY(infos)
 ADD_SUBDIRECTORY(interfaces)
Index: code/branches/Highscore_HS16/src/orxonox/highscore/CMakeLists.txt
===================================================================
--- code/branches/Highscore_HS16/src/orxonox/highscore/CMakeLists.txt	(revision 11304)
+++ code/branches/Highscore_HS16/src/orxonox/highscore/CMakeLists.txt	(revision 11304)
@@ -0,0 +1,3 @@
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+  HighscoreIO.cc
+)
Index: code/branches/Highscore_HS16/src/orxonox/highscore/HighscoreIO.cc
===================================================================
--- code/branches/Highscore_HS16/src/orxonox/highscore/HighscoreIO.cc	(revision 11304)
+++ code/branches/Highscore_HS16/src/orxonox/highscore/HighscoreIO.cc	(revision 11304)
@@ -0,0 +1,22 @@
+#include "HighscoreIO.h"
+
+#include <vector>
+#include "core/CoreIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
+
+
+namespace orxonox
+{
+	HighscoreIO::HighscoreIO()
+    {
+        RegisterObject(HighscoreIO);
+        this->setConfigValues();
+    }
+
+    void HighscoreIO::setConfigValues()
+    {
+       
+		SetConfigValue(name_, "Orxonox").description("The name of the game");
+    }
+
+}
Index: code/branches/Highscore_HS16/src/orxonox/highscore/HighscoreIO.h
===================================================================
--- code/branches/Highscore_HS16/src/orxonox/highscore/HighscoreIO.h	(revision 11304)
+++ code/branches/Highscore_HS16/src/orxonox/highscore/HighscoreIO.h	(revision 11304)
@@ -0,0 +1,24 @@
+
+
+#include <string>
+#include "core/config/Configurable.h"
+
+namespace orxonox
+{
+class _CoreExport HighscoreIO : virtual public Configurable
+{
+    public:
+        HighscoreIO();              // Constructor
+        void setConfigValues(); // Inherited function
+        void storeHighscore(std::string player, std::string level, int points);
+
+		const std::string& getName()
+            { return this->name_; }
+
+    private:
+        std::string name_;
+        float version_;
+};
+
+
+}