Index: code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11303)
+++ code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11306)
@@ -113,5 +113,5 @@
 
     <!-- ------------------Planet----------------- -->
-    <Planet position="25000,5000,5000" scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+    <Planet position="25000,5000,5000" scale=1500 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
     <StaticEntity position="0,0,0" collisionType=static>
         <collisionShapes>
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11303)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11306)
@@ -58,59 +58,4 @@
         OrxAssert(!checkpoints.empty(), "No Checkpoints in Level");
         checkpoints_ = checkpoints;
-        /*orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;
-        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
-        {
-            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
-            std::set<int> temp =(*it)->getNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-
-            orxout()<<" NextVirtual: ";
-            temp=(*it)->getVirtualNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-            orxout()<<endl<<endl;
-
-        }//ausgabe*/
-        /*
-        for (std::vector<RaceCheckPoint*>::iterator it = checkpoints.begin(); it != checkpoints.end(); ++it)
-        {
-            std::set<int> nextCheckPoints = ((*it)->getNextCheckpoints());
-            if(!nextCheckPoints.empty())
-            {
-                for (std::set<int>::iterator numb = nextCheckPoints.begin(); numb!=nextCheckPoints.end(); numb++)
-                {
-                    RaceCheckPoint* point2 = findCheckpoint((*numb));
-
-                    //if(point2 != nullptr)
-                    //placeVirtualCheckpoints((*it), point2);
-                }
-            }
-        }
-        */
-        /*
-        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
-        {
-            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
-            std::set<int> temp =(*it)->getNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-
-            orxout()<<" NextVirtual: ";
-            temp=(*it)->getVirtualNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-            orxout()<<endl;
-
-        }//ausgabe
-        orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;*/
         staticRacePoints_ = findStaticCheckpoints(nextRaceCheckpoint_, checkpoints);
         // initialisation of currentRaceCheckpoint_
@@ -122,5 +67,4 @@
             continue;
         }
-        //orxout()<<"Die ANzahl der virtuellen CP betraegt: "<< (-i)-2<<endl;
 
     }
@@ -383,4 +327,5 @@
 this->boostControl();
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
+        this->boostControl();
     }
 
@@ -426,4 +371,10 @@
 
     }
+/*
+    void SpaceRaceController::useBoost()
+    {
+
+    }
+*/
 
     /*void SpaceRaceController::computeVirtualCheckpoint(RaceCheckPoint* racepoint1, RaceCheckPoint* racepoint2, const std::vector<StaticEntity*>& allObjects)