Index: code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11299)
+++ code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11308)
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
@@ -15,5 +15,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
             <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
@@ -23,5 +23,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission3Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
             <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
@@ -31,5 +31,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
             <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
@@ -39,5 +39,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
             <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
@@ -47,5 +47,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
             <Property Name="Text" Value="Escape the Bastards" />
             <Property Name="Visible" Value="False"/>
@@ -55,5 +55,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
             <Property Name="Text" Value="Expedition to Sector 5C" />
             <Property Name="Visible" Value="False"/>
@@ -63,5 +63,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
             <Property Name="Text" Value="Shuttle under Attack" />
             <Property Name="Visible" Value="False"/>
@@ -71,5 +71,5 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
             <Property Name="Text" Value="Retaliation" />
             <Property Name="Visible" Value="False"/>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11299)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11308)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="HUDWidgets/JuuButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11299)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11308)
@@ -50,4 +50,7 @@
     <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
     <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"         LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+
+    <FalagardMapping WindowType="OrxonoxLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/JuuButton" />
+
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11299)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11308)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="MenuWidgets/JuuButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>