Index: code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11306)
+++ code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11312)
@@ -82,14 +82,5 @@
 
     <!-- ------------------SpawnPoint----------------- -->
-    <SpawnPoint position="0,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
-    </SpawnPoint>
-<SpawnPoint position="-75,0,-50" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
-    </SpawnPoint>
-<SpawnPoint position="-75,0,50" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
-    </SpawnPoint>
-<SpawnPoint position="-150,0,-100" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
-    </SpawnPoint>
-<SpawnPoint position="-15,0,100" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
-    </SpawnPoint>
+    <SpawnPoint position="0,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" />
 
   <!-- Launch station -->
@@ -198,4 +189,32 @@
     <?lua end ?>
 
+    <!-- ------------------Boards----------------- -->
+    <StaticEntity position="1000,160,0" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+    <attached>
+      <Model scale="20" mesh="Board1.mesh" />
+    </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0"      halfExtents="5,10,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+  <StaticEntity position="3000,330,100" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+    <attached>
+      <Model scale="20" mesh="Board2.mesh" />
+    </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0"      halfExtents="5,10,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+<StaticEntity position="5000,230,500" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+    <attached>
+      <Model scale="20" mesh="Board2.mesh" />
+    </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0"      halfExtents="5,10,10" />
+      </collisionShapes>
+  </StaticEntity>
+
 
 <!-- ---------------------Checkpoints---------------------- -->
@@ -205,5 +224,5 @@
     
 
-    <RaceCheckPoint name="checkpoint1" position="1000,30,0" yaw=90 pitch=90 direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
+    <RaceCheckPoint name="checkpoint1" yaw=90 pitch=90 position="1000,30,0" roll="0" direction="0,1,0" collisionType="static" scale="1" distance="60" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -401,5 +420,53 @@
     </RaceCheckPoint>
 
-<RaceCheckPoint name="checkpoint16" yaw=90 pitch=90 position="41000,30,-50" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="15" islast="true">
+<RaceCheckPoint name="checkpoint16" yaw=90 pitch=90 position="41000,30,-50" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="15" islast="false" nextcheckpoints="16,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint17" yaw=90 pitch=90 position="44000,90,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="16" islast="false" nextcheckpoints="17,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint18" yaw=90 pitch=90 position="47000,120,30" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="17" islast="false" nextcheckpoints="18,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint19" yaw=90 pitch=90 position="50000,0,100" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="18" islast="false" nextcheckpoints="19,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint20" yaw=90 pitch=90 position="53000,0,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="19" islast="true">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -421,30 +488,11 @@
 <!-- ---------------------PickUps---------------------- -->
 
-    <!--at checkpoint3-->
-    <!--at checkpoint#6-->
-    <!--at checkpoint#6--
-
-    <PickupSpawner pickup=mediumshrinkpickup position="14800,0,0" triggerDistance="60" respawnTime="20" maxSpawnedItems="5" scale="8"/>
-    <!--at checkpoint9
-
-
-    <PickupSpawner pickup=smallspeedpickup position="3000,200,100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" scale = "12" />
-    <PickupSpawner pickup=mediumspeedpickup position="1000,30,0" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" scale = "12"/>
-    <PickupSpawner pickup=hugespeedpickup position="5000,100,300" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" scale = "12" />
-    
-
-
-    <PickupSpawner pickup=smalljumppickup position="50,25,-125" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" />
-
-
-
-    <PickupSpawner pickup=smallshrinkpickup position="20800,120,-120" triggerDistance="60" respawnTime="10" maxSpawnedItems="10" scale="8"/>
-    <!--at checkpoint12
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="8000,-150,150" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <!--stray pickups-
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="6000,-300,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="9000,300,200" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="20000,-400,0" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/> -->
-
+    <PickupSpawner pickup=smallshrinkpickup position="10000,-200,200" triggerDistance="60" respawnTime="10" maxSpawnedItems="10" scale="8"/>
+    <PickupSpawner pickup=mediumboostpickup position="24000,-150,-80" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=smallboostpickup position="38000,-200,0" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+
+    <PickupSpawner pickup=smallspeedpickup position="7000,-200,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=mediumshinkpickup position="16000,150,50" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="41000,-300,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
   </Scene>
 </Level>