Index: /code/branches/Highscore_HS16/data/defaultConfig/orxonox.ini
===================================================================
--- /code/branches/Highscore_HS16/data/defaultConfig/orxonox.ini	(revision 11312)
+++ /code/branches/Highscore_HS16/data/defaultConfig/orxonox.ini	(revision 11313)
@@ -9,2 +9,7 @@
 campaignMissions_[7] = "shuttleAttack.oxw"
 campaignMissions_[8] = "shuttleRetaliation.oxw"
+
+[Highscore]
+tests_[0] = "name1"
+tests_[1] = "name2"
+
Index: /code/branches/Highscore_HS16/data/gui/scripts/HighscoreMenu.lua
===================================================================
--- /code/branches/Highscore_HS16/data/gui/scripts/HighscoreMenu.lua	(revision 11312)
+++ /code/branches/Highscore_HS16/data/gui/scripts/HighscoreMenu.lua	(revision 11313)
@@ -24,7 +24,8 @@
 	
 	P.scoreList = {}
-	
-	for i=1,20 do
-		table.insert(P.nameList, "Player "..i)
+	test = orxonox.Highscore:getInstance():getNumberOfHighscores()
+
+	for i=0,orxonox.Highscore:getInstance():getNumberOfHighscores()-1 do
+		table.insert(P.nameList, orxonox.Highscore:getInstance():getHighscore(i))
 		table.insert(P.scoreList, i)
 	
@@ -41,6 +42,6 @@
             P.createFilterTab(v:getName(), v:getName())
         end
-        local highscores = v:getHighscores()
-        orxonox.CommandExecutor:execute("log test:".. highscores)
+        --local highscores = v:getHighscores()
+        --orxonox.CommandExecutor:execute("log test:".. highscores)
 
     end
@@ -55,4 +56,14 @@
 
 function P.onShow()
+	P.nameList = {}
+	
+	P.scoreList = {}
+	test = orxonox.Highscore:getInstance():getNumberOfHighscores()
+
+	for i=0,orxonox.Highscore:getInstance():getNumberOfHighscores()-1 do
+		table.insert(P.nameList, orxonox.Highscore:getInstance():getHighscore(i))
+		table.insert(P.scoreList, i)
+	
+	end
     --local description = winMgr:getWindow("orxonox/HighscoreText")
 
Index: /code/branches/Highscore_HS16/src/libraries/core/CMakeLists.txt
===================================================================
--- /code/branches/Highscore_HS16/src/libraries/core/CMakeLists.txt	(revision 11312)
+++ /code/branches/Highscore_HS16/src/libraries/core/CMakeLists.txt	(revision 11313)
@@ -27,5 +27,4 @@
   GameMode.cc
   GameState.cc
-  Highscore.cc
   Language.cc
   Loader.cc
@@ -91,5 +90,4 @@
     GraphicsManager.h
     GUIManager.h
-    Highscore.h
     Loader.h
     LuaState.h
Index: de/branches/Highscore_HS16/src/libraries/core/Highscore.cc
===================================================================
--- /code/branches/Highscore_HS16/src/libraries/core/Highscore.cc	(revision 11312)
+++ 	(revision )
@@ -1,30 +1,0 @@
-#include "Highscore.h"
-
-#include <vector>
-#include "core/CoreIncludes.h"
-#include "core/config/ConfigValueIncludes.h"
-
-
-namespace orxonox
-{
-
-	RegisterClassNoArgs(Highscore);
-
-	Highscore::Highscore()
-    {
-        RegisterObject(Highscore);
-        this->setConfigValues();
-    }
-
-    void Highscore::setConfigValues()
-    {
-       
-		SetConfigValue(name_, "Orxonox").description("The name of the game");
-    }
-
-    /* static */ std::string Highscore::getName(){
-        std::string result;
-        result = Highscore::name_;
-        return result;
-    }
-}
Index: de/branches/Highscore_HS16/src/libraries/core/Highscore.h
===================================================================
--- /code/branches/Highscore_HS16/src/libraries/core/Highscore.h	(revision 11312)
+++ 	(revision )
@@ -1,24 +1,0 @@
-
-
-#include <string>
-#include "core/config/Configurable.h"
-
-namespace orxonox
-{
-class _CoreExport Highscore : virtual public Configurable
-{
-    public:
-        Highscore();              // Constructor
-        void setConfigValues(); // Inherited function
-        void storeHighscore(std::string player, std::string level, int points);
-
-		static std::string getName(); // tolua_export
-           
-
-    private:
-        std::string name_;
-        float version_;
-};
-
-
-}
Index: /code/branches/Highscore_HS16/src/modules/jump/Jump.cc
===================================================================
--- /code/branches/Highscore_HS16/src/modules/jump/Jump.cc	(revision 11312)
+++ /code/branches/Highscore_HS16/src/modules/jump/Jump.cc	(revision 11313)
@@ -34,4 +34,5 @@
 #include "Jump.h"
 #include "core/CoreIncludes.h"
+#include "Highscore.h"
 
 #include "JumpCenterpoint.h"
@@ -311,5 +312,9 @@
         cleanup();
         GSLevel::startMainMenu();
-
+        orxout() << "Test Highscore" << endl;
+        if (Highscore::exists()){
+                    orxout() << "exists" << endl;
+                   Highscore::getInstance().storeHighscore("player","jump",sectionNumber_ - 2);
+          }
         Deathmatch::end();
     }
Index: /code/branches/Highscore_HS16/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/Highscore_HS16/src/orxonox/CMakeLists.txt	(revision 11312)
+++ /code/branches/Highscore_HS16/src/orxonox/CMakeLists.txt	(revision 11313)
@@ -27,4 +27,5 @@
   LevelInfo.cc
   LevelManager.cc
+  Highscore.cc
   Main.cc
   MoodManager.cc
@@ -61,4 +62,5 @@
     LevelInfo.h
     LevelManager.h
+    Highscore.h
     MoodManager.h
     controllers/HumanController.h
Index: /code/branches/Highscore_HS16/src/orxonox/Highscore.cc
===================================================================
--- /code/branches/Highscore_HS16/src/orxonox/Highscore.cc	(revision 11313)
+++ /code/branches/Highscore_HS16/src/orxonox/Highscore.cc	(revision 11313)
@@ -0,0 +1,34 @@
+#include "Highscore.h"
+
+#include <vector>
+#include "core/CoreIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
+#include "core/singleton/ScopedSingletonIncludes.h"
+
+namespace orxonox
+{
+
+    ManageScopedSingleton(Highscore, ScopeID::ROOT, false);
+	RegisterClassNoArgs(Highscore);
+
+	Highscore::Highscore()
+    {
+        RegisterObject(Highscore);
+        this->setConfigValues();
+    }
+
+    void Highscore::setConfigValues()
+    {
+
+		SetConfigValue(name_, "Test").description("The name of the game");
+        SetConfigValue(tests_, std::vector<std::string>()).description("Testvektor");
+    }
+    void Highscore::storeHighscore(std::string player, std::string level, int points){
+        ModifyConfigValue(tests_, add, player+"./."+level+"./."+std::to_string(points));
+    }
+    /* static std::string Highscore::getName(){
+        std::string result;
+        result = Highscore::name_;
+        return result;
+    }*/
+}
Index: /code/branches/Highscore_HS16/src/orxonox/Highscore.h
===================================================================
--- /code/branches/Highscore_HS16/src/orxonox/Highscore.h	(revision 11313)
+++ /code/branches/Highscore_HS16/src/orxonox/Highscore.h	(revision 11313)
@@ -0,0 +1,43 @@
+#include <string>
+#include "core/config/Configurable.h"
+#include "OrxonoxPrereqs.h"
+#include "util/Singleton.h"
+// tolua_begin
+namespace orxonox
+{
+class _OrxonoxExport Highscore 
+// tolua_end
+ : public Singleton<Highscore>, public Configurable
+{ //tolua_export
+    friend class Singleton<Highscore>;
+    public:
+        Highscore();              // Constructor
+        void setConfigValues(); // Inherited function
+        void storeHighscore(std::string player, std::string level, int points);
+        // tolua_begin
+		inline const std::string& getName() {
+			return this->name_;
+		}
+        inline void test(){
+            this->storeHighscore("test","t",1);
+        }
+        inline unsigned int getNumberOfHighscores()
+                { return this->tests_.size(); }
+            inline const std::string& getHighscore(unsigned int index)
+                { return this->tests_[index]; }
+
+        static Highscore& getInstance()
+                { return Singleton<Highscore>::getInstance(); }
+
+        // tolua_end 
+
+
+    private:
+        std::vector<std::string> tests_;
+        std::string name_;
+        float version_;
+        static Highscore* singletonPtr_s;
+}; //tolua_export
+
+
+} //tolua_export