Index: /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupItem.cc
===================================================================
--- /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11314)
@@ -52,7 +52,6 @@
         overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", "HUDPickupItem" + getUniqueNumberString()));
         
-        overlayElement_->setPosition(0.0f,0.0f);
-        overlayElement_->setDimensions(0.5f,0.5f);
-        this->background_->addChild(overlayElement_);
+        overlayElement_->setDimensions(0.1f,0.1f);
+        
     }
 
@@ -65,12 +64,19 @@
     }
 
-    void HUDPickupItem::initializeMaterial(const std::string& s)
-    {
+    void HUDPickupItem::initializeMaterial(const std::string& s, float x, float y)
+    {
+        orxout() << "material name is: " << s << endl;
         overlayElement_->setMaterialName(s);
-    }
-
-    void HUDPickupItem::printHello()
-    {
-        orxout() << "lets say hello" << endl;
+        overlayElement_->setPosition(x, y);
+        overlayElement_->show();
+        this->background_->addChild(overlayElement_);
+    }
+
+    void HUDPickupItem::hideMe()
+    {
+        orxout() << this << " has called hide" << endl;
+        overlayElement_->hide();
+        overlayElement_->_update();
+        orxout() << "after the call the element is visible: " << overlayElement_->isVisible() << endl;
     }
 
Index: /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupItem.h
===================================================================
--- /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupItem.h	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupItem.h	(revision 11314)
@@ -36,6 +36,6 @@
 
         // void setPickup(Pickup* pickup);  
-        void initializeMaterial(const std::string& s);  
-        void printHello(); 
+        void initializeMaterial(const std::string& s, float x, float y);  
+        void hideMe(); 
 
     private:
Index: /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.cc
===================================================================
--- /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11314)
@@ -53,6 +53,4 @@
         orxout() << "hello here is the HUDPickupSystem" << endl;
         this->background_->addChild(overlayElement_);
-
-        PickupManager::getInstance().setPickupSystem(this);
     }
 
@@ -69,9 +67,32 @@
     void HUDPickupSystem::updatePickupList(std::vector<Pickupable*> picks)
     {
-        for(Pickupable* p : picks)
+        int i=0;
+        const float offsetX = 0.32f;
+        float offsetY = 0.77f;
+        const float x = 0.1f;
+
+        orxout() << "size: " << picks.size() << endl;
+
+        if(picks.size()>0)
         {
-            HUDPickupItem* item = new HUDPickupItem(this->getContext());
-            item->initializeMaterial(((Pickup*)p)->getRepresentationName());
-            item->printHello();
+
+            for(Pickupable* p : picks)
+            {
+                // orxout() << "actual pick is: " << p << endl;
+                if(i%4==0)
+                {
+                    offsetY+=0.04f;
+                    i=0;
+                }   
+                HUDPickupItem* item = new HUDPickupItem(this->getContext());
+                // item->initializeMaterial(((Pickup*)p)->getRepresentationName(), offsetX+i*x, offsetY);
+                if(i%2==0)
+                    item->initializeMaterial("Shield", offsetX+i*x, offsetY);
+                else
+                    item->initializeMaterial("ArrowUp", offsetX+i*x, offsetY);
+                item->setOverlayGroup(this->getOverlayGroup());
+                this->picks[p] = item;
+                ++i;
+            }
         }
     }
@@ -79,10 +100,19 @@
     void HUDPickupSystem::createPickupList()
     {
-     
     }      
+
+    void HUDPickupSystem::removePickup(Pickupable* pickup)
+    {
+        HUDPickupItem* item = this->picks.find(pickup)->second;
+        orxout() << "removePickup: pickup= " << pickup << " item= " << item << endl;
+        assert(item);
+        item->setOverlayGroup(nullptr); 
+        item->hideMe();
+        overlayElement_->_update();
+    }
 
     void HUDPickupSystem::destroyAll()
     {
-        
+        this->background_->removeChild(overlayElement_->getName());
     }
 }
Index: /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.h
===================================================================
--- /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11314)
@@ -63,8 +63,12 @@
         // virtual void positionChanged() override;
         // virtual void sizeChanged() override;
-        void updatePickupList(std::vector<Pickupable*> picks);    
+        void updatePickupList(std::vector<Pickupable*> picks);  
+        void createPickupList();  
+        void removePickup(Pickupable* pickup);
     private:
-        void createPickupList();
+        
         void destroyAll();
+
+        std::map<Pickupable*, HUDPickupItem*> picks;
 
         Ogre::PanelOverlayElement* overlayElement_;
Index: /code/branches/HUD_HS16/src/modules/pickup/CMakeLists.txt
===================================================================
--- /code/branches/HUD_HS16/src/modules/pickup/CMakeLists.txt	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/pickup/CMakeLists.txt	(revision 11314)
@@ -19,4 +19,5 @@
     PickupPrecompiledHeaders.h
   LINK_LIBRARIES
+    overlays
     orxonox
   SOURCE_FILES ${PICKUP_SRC_FILES}
Index: /code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11314)
@@ -83,9 +83,4 @@
     }
 
-    void PickupManager::setPickupSystem(HUDPickupSystem* system)
-    {
-        pickupSystem=system;
-    }
-
     /**
     @brief
@@ -271,4 +266,11 @@
         assert(pickup);
 
+        if(!pickupSystem)
+        {
+            for (HUDPickupSystem* hud : ObjectList<HUDPickupSystem>())
+                pickupSystem = hud;
+        }
+        assert(pickupSystem); //pickupSystem HAS to be there!
+
         if(!GameMode::isMaster()) // If this is neither standalone nor the server.
             return;
@@ -299,17 +301,9 @@
             this->pickups_[index] = pickup;
 
-            //TODO
-            std::vector<Pickupable*> picks;
-
-            PickupManager& manager = PickupManager::getInstance();
-            
-            Pickupable* pickup = nullptr;
-
-            for(uint32_t i = 0; i!=10; i++)
-            {
-                pickup=manager.pickups_.find(i)->second;
-                picks.push_back(pickup);
-            }
-            // pickupSystem->updatePickupList(picks);
+            orxout() << "the pickup is: " << pickup << endl;
+
+            this->picks.push_back(pickup);
+
+            pickupSystem->updatePickupList(picks);
             
         }
@@ -320,7 +314,12 @@
             index = it->second;
 
-            
             this->indexes_.erase(pickup);
             this->pickups_.find(index)->second=nullptr; //set to null, so that can be identified as free slot by getPickupIndex()
+
+
+            this->picks.erase(std::remove(this->picks.begin(), this->picks.end(), pickup), this->picks.end()); //remove pickup from vector
+
+            pickupSystem->removePickup(pickup);
+            pickupSystem->updatePickupList(picks);
         }
 
Index: /code/branches/HUD_HS16/src/modules/pickup/PickupManager.h
===================================================================
--- /code/branches/HUD_HS16/src/modules/pickup/PickupManager.h	(revision 11313)
+++ /code/branches/HUD_HS16/src/modules/pickup/PickupManager.h	(revision 11314)
@@ -42,5 +42,5 @@
 
 #include "PickupRepresentation.h"
-
+#include "interfaces/Pickupable.h"
 #include "util/Singleton.h"
 #include "interfaces/PickupListener.h"
@@ -153,4 +153,6 @@
         private:
             HUDPickupSystem* pickupSystem;
+            std::vector<Pickupable*> picks;
+
             static PickupManager* singletonPtr_s;
             static const std::string guiName_s; //!< The name of the PickupInventory