Index: code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11308)
+++ code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11316)
@@ -8,6 +8,13 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
+
+        <!-- Misson 1************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission1Text" >
             <Property Name="Text" Value="Mission One" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
+        </Window>
+
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -15,6 +22,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
+
+        <!-- Misson 2************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission2Text" >
             <Property Name="Text" Value="Fight in our Back" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
+        </Window>
+
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -23,6 +37,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
+
+        <!-- Misson 3************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission3Text" >
             <Property Name="Text" Value="Pirate Attack" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -31,6 +52,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
+
+        <!-- Misson 4************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission4Text" >
             <Property Name="Text" Value="Trip to Area 51" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -39,6 +67,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
+
+        <!-- Misson 5************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission5Text" >
             <Property Name="Text" Value="Area 51 under Fire" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -47,6 +82,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
+
+        <!-- Misson 6************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission6Text" >
             <Property Name="Text" Value="Escape the Bastards" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -55,6 +97,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
+
+        <!-- Misson 7************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission7Text" >
             <Property Name="Text" Value="Expedition to Sector 5C" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -63,6 +112,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
+
+        <!-- Misson 8************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission8Text" >
             <Property Name="Text" Value="Shuttle under Attack" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -71,6 +127,13 @@
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
+
+        <!-- Misson 9************************************* -->
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission9Text" >
             <Property Name="Text" Value="Retaliation" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -80,5 +143,5 @@
         </Window>
 
-
+        <!-- Back Button************************************* -->
         <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
             <Property Name="Text" Value="Back" />
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11308)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11316)
@@ -41,4 +41,4 @@
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
 
-    <WindowAlias Alias="HUDWidgets/JuuButton"              Target="OrxonoxLook/JuuButton" />
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11308)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11316)
@@ -52,4 +52,5 @@
     <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"         LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
 
+    <!-- Special Button for CampaignMenu -->
     <FalagardMapping WindowType="OrxonoxLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/JuuButton" />
 
Index: code/branches/StoryModeMap_HS16/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11308)
+++ code/branches/StoryModeMap_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11316)
@@ -9,12 +9,21 @@
 function P.updateButtons()
     P.updateButton(0, winMgr:getWindow("orxonox/Mission1Button"))
+    P.updateButton(0, winMgr:getWindow("orxonox/Mission1Text"))
     P.updateButton(1, winMgr:getWindow("orxonox/Mission2Button"))
+    P.updateButton(1, winMgr:getWindow("orxonox/Mission2Text"))
     P.updateButton(2, winMgr:getWindow("orxonox/Mission3Button"))
+    P.updateButton(2, winMgr:getWindow("orxonox/Mission3Text"))
     P.updateButton(3, winMgr:getWindow("orxonox/Mission4Button"))
+    P.updateButton(3, winMgr:getWindow("orxonox/Mission4Text"))
     P.updateButton(4, winMgr:getWindow("orxonox/Mission5Button"))
+    P.updateButton(4, winMgr:getWindow("orxonox/Mission5Text"))
     P.updateButton(5, winMgr:getWindow("orxonox/Mission6Button"))
+    P.updateButton(5, winMgr:getWindow("orxonox/Mission6Text"))
     P.updateButton(6, winMgr:getWindow("orxonox/Mission7Button"))
+    P.updateButton(6, winMgr:getWindow("orxonox/Mission7Text"))
     P.updateButton(7, winMgr:getWindow("orxonox/Mission8Button"))
+    P.updateButton(7, winMgr:getWindow("orxonox/Mission8Text"))
     P.updateButton(8, winMgr:getWindow("orxonox/Mission9Button"))
+    P.updateButton(8, winMgr:getWindow("orxonox/Mission9Text"))
 
 
Index: code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw
===================================================================
--- code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11308)
+++ code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11316)
@@ -3,6 +3,6 @@
 <LevelInfo
  name = "StoryModeMap"
- description = "Level that should have planets with different missions in it"
- tags = "test"
+ description = "The Campaign Menu Map with all the Campaignmissons in it"
+ tags = "Campaign, Campaignmissons"
  screenshot = "emptylevel.png"
 />