Index: code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11311)
+++ code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11320)
@@ -15,7 +15,7 @@
 	
 	rotationaxis = "1,0,0" 
-	explosionchunks = 12 
-	
-   	rotationrate = "0"
+	
+	
+   	rotationrate = "5"
    	>
 	
@@ -24,116 +24,116 @@
    	<parts>
 
-   		<ShipPart name = "tunnelsystem" initialhealth="20" maxhealth="20" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="mistery1"   operation="destroy" />
+   		<ShipPart name = "tunnelsystem" initialhealth="500" maxhealth="500" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <!--PartDestructionEvent targetType="part" targetName ="mistery1"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="mistery2"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip1"   operation="destroy"  />
-                <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip2"   operation="destroy"  />
-
-
-
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "mistery1" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "mistery2" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-
-   		<ShipPart name = "EnduranceSmallShip1" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "EnduranceSmallShip2" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-
-        <ShipPart name = "ct12" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-         <ShipPart name = "ct11" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct10" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct9" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct8" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct7" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct6" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct5" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct4" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct3" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct2" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "ct1" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-            </destructionevents>
-        </ShipPart>
-
-    	<ShipPart name = "part1" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+                <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip2"   operation="destroy"  /-->
+
+
+
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "mistery1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "mistery2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+
+   		<ShipPart name = "EnduranceSmallShip1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "EnduranceSmallShip2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+
+        <ShipPart name = "ct12" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+         <ShipPart name = "ct11" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct10" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct9" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct8" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct7" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct6" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct5" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct4" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct3" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+    	<ShipPart name = "part1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -151,5 +151,5 @@
         </ShipPart>
 
-        <ShipPart name = "part3" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part3" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -159,5 +159,5 @@
         </ShipPart>
 
-        <ShipPart name = "part4" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part4" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -167,20 +167,16 @@
         </ShipPart>
 
-        <ShipPart name = "part5" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part5" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="mistery1"   operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="mistery2"   operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip1"   operation="destroy"  />
-                <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip2"   operation="destroy"  />
-                <PartDestructionEvent targetType="part" targetName ="tunnelsystem"   operation="destroy"  />
-
-
-            </destructionevents>
-        </ShipPart>
-
-        <ShipPart name = "part6" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+                
+
+
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part6" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -190,5 +186,5 @@
         </ShipPart>
 
-        <ShipPart name = "part7" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part7" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -198,5 +194,5 @@
         </ShipPart>
 
-        <ShipPart name = "part8" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part8" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -206,5 +202,5 @@
         </ShipPart>
 
-        <ShipPart name = "part9" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part9" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -214,5 +210,5 @@
         </ShipPart>
 
-        <ShipPart name = "part10" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part10" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -222,5 +218,5 @@
         </ShipPart>
 
-        <ShipPart name = "part11" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part11" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -230,5 +226,5 @@
         </ShipPart>
 
-        <ShipPart name = "part12" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+        <ShipPart name = "part12" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -242,13 +238,56 @@
 
     <explosion >
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+
+
+      <ExplosionPart scale = 10 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+
+
+
+
+      <ExplosionPart scale = 10 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 10 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart offset="20,13,-15" delay=1.5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="30,13,-15" delay=1.5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="20,13,-15" delay=1.5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="-20,-13,-15" delay=2 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="-20,-13,-15" delay=2 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="-20,-13,-15" delay=2 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
     </explosion>
 
 
     <attached>
+
+        <Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" lookat="0,0,0" pitch="-30" yaw="0" roll="90" />
+
+
 		<!-- coordinates (0,0,0) element 0-->
-
+        
 		<!-- Small-Ship 1/2 -->
 
@@ -335,6 +374,6 @@
 			<collisionShapes>
 
-			<BoxCollisionShape position ="0,0,45" halfExtents="25,32,8" />
-			<BoxCollisionShape position ="0,30,45" halfExtents="25,8,8" />
+			<BoxCollisionShape position ="0,0,-28" halfExtents="25,32,8" />
+			<BoxCollisionShape position ="0,-30,-28" halfExtents="25,8,8" />
 
 			</collisionShapes>
@@ -351,6 +390,6 @@
 			<collisionShapes>
 
-			<BoxCollisionShape  position ="0,0,45" halfExtents="25,32,8" />
-			<BoxCollisionShape position ="0,30,45" halfExtents="25,8,8" />
+			<BoxCollisionShape position ="0,0,-28" halfExtents="25,32,8" />
+			<BoxCollisionShape position ="0,-30,-28" halfExtents="25,8,8" />
 
 			</collisionShapes>
@@ -364,5 +403,5 @@
 			<attached>
 				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
-				<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
+				
 		
 				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
@@ -511,5 +550,4 @@
 				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
 
-				<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
 			</attached>
 