Index: code/branches/Highscore_HS16/data/gui/scripts/HighscoreMenu.lua
===================================================================
--- code/branches/Highscore_HS16/data/gui/scripts/HighscoreMenu.lua	(revision 11325)
+++ code/branches/Highscore_HS16/data/gui/scripts/HighscoreMenu.lua	(revision 11326)
@@ -45,7 +45,8 @@
     for k,v in pairs(P.levelList) do
         -- only add level if it has desired tag
-        if tag == nil or v:hasTag(tag) then
+        if(v:getName() ~= "Hover level" and v:getName() ~= "Pong") then
             P.createFilterTab(v:getName(), v:getName())
         end
+        
         --local highscores = v:getHighscores()
         --orxonox.CommandExecutor:execute("log test:".. highscores)
Index: code/branches/Highscore_HS16/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- code/branches/Highscore_HS16/src/modules/dodgerace/DodgeRace.cc	(revision 11325)
+++ code/branches/Highscore_HS16/src/modules/dodgerace/DodgeRace.cc	(revision 11326)
@@ -36,4 +36,5 @@
 #include "DodgeRaceCube.h"
 #include "core/CoreIncludes.h"
+#include "Highscore.h"
 
 namespace orxonox
@@ -224,4 +225,10 @@
         // It will misteriously crash the game!
         // Instead startMainMenu, this won't crash.
+        if (Highscore::exists()){
+                    int score = this->getPoints();
+                    if(score > Highscore::getInstance().getHighestScoreOfGame("Dodge Race")) 
+                        Highscore::getInstance().storeHighscore("Player","Dodge Race",score);
+
+          }
         GSLevel::startMainMenu();
     }
Index: code/branches/Highscore_HS16/src/modules/invader/Invader.cc
===================================================================
--- code/branches/Highscore_HS16/src/modules/invader/Invader.cc	(revision 11325)
+++ code/branches/Highscore_HS16/src/modules/invader/Invader.cc	(revision 11326)
@@ -33,5 +33,5 @@
 
 #include "Invader.h"
-
+#include "Highscore.h"
 #include "core/CoreIncludes.h"
 #include "core/EventIncludes.h"
@@ -189,4 +189,10 @@
         // It will misteriously crash the game!
         // Instead startMainMenu, this won't crash.
+        if (Highscore::exists()){
+                    int score = this->getPoints();
+                    if(score > Highscore::getInstance().getHighestScoreOfGame("Orxonox Arcade")) 
+                        Highscore::getInstance().storeHighscore("Player","Orxonox Arcade",score);
+
+          }
         GSLevel::startMainMenu();
     }
Index: code/branches/Highscore_HS16/src/modules/jump/Jump.cc
===================================================================
--- code/branches/Highscore_HS16/src/modules/jump/Jump.cc	(revision 11325)
+++ code/branches/Highscore_HS16/src/modules/jump/Jump.cc	(revision 11326)
@@ -315,5 +315,5 @@
                     int score = this->getScore(this->getPlayer());
                     if(score > Highscore::getInstance().getHighestScoreOfGame("Jump")) 
-                        Highscore::getInstance().storeHighscore("player","Jump",score);
+                        Highscore::getInstance().storeHighscore("Player","Jump",score);
 
           }
Index: code/branches/Highscore_HS16/src/modules/tetris/Tetris.cc
===================================================================
--- code/branches/Highscore_HS16/src/modules/tetris/Tetris.cc	(revision 11325)
+++ code/branches/Highscore_HS16/src/modules/tetris/Tetris.cc	(revision 11326)
@@ -39,4 +39,5 @@
 
 #include "Tetris.h"
+#include "Highscore.h"
 
 #include "core/CoreIncludes.h"
@@ -327,5 +328,10 @@
             this->player_->stopControl();
         }
-
+         if (Highscore::exists()){
+                    int score = this->getScore(this->getPlayer());
+                    if(score > Highscore::getInstance().getHighestScoreOfGame("Tetris")) 
+                        Highscore::getInstance().storeHighscore("Player","Tetris",score);
+
+          }
         this->cleanup();
 
Index: code/branches/Highscore_HS16/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/Highscore_HS16/src/modules/towerdefense/TowerDefense.cc	(revision 11325)
+++ code/branches/Highscore_HS16/src/modules/towerdefense/TowerDefense.cc	(revision 11326)
@@ -81,4 +81,5 @@
 #include "chat/ChatManager.h"
 #include "core/CoreIncludes.h"
+#include "Highscore.h"
 
 namespace orxonox
@@ -197,5 +198,10 @@
     void TowerDefense::end()
     {
-
+        if (Highscore::exists()){
+                    int score = this->getWaveNumber();
+                    if(score > Highscore::getInstance().getHighestScoreOfGame("Tower Defense")) 
+                        Highscore::getInstance().storeHighscore("Player","Tower Defense",score);
+
+          }
         TeamDeathmatch::end();
         ChatManager::message("Match is over! Gameover!");