Index: /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11327)
+++ /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11328)
@@ -104,5 +104,5 @@
 
     <!-- ------------------Planet----------------- -->
-    <Planet position="25000,5000,5000" scale=1500 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+    <Planet position="25000,5000,5000" scale=3000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
     <StaticEntity position="0,0,0" collisionType=static>
         <collisionShapes>
@@ -189,4 +189,5 @@
     <?lua end ?>
 
+
     <!-- ------------------Boards----------------- -->
     <StaticEntity position="1000,160,0" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
@@ -199,5 +200,5 @@
   </StaticEntity>
 
-  <StaticEntity position="3000,330,100" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+  <StaticEntity position="5000,230,500" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
     <attached>
       <Model scale="20" mesh="Board2.mesh" />
@@ -208,5 +209,5 @@
   </StaticEntity>
 
-<StaticEntity position="5000,230,500" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+<StaticEntity position="10000,-70,200" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
     <attached>
       <Model scale="20" mesh="Board2.mesh" />
@@ -216,5 +217,4 @@
       </collisionShapes>
   </StaticEntity>
-
 
 <!-- ---------------------Checkpoints---------------------- -->
@@ -226,5 +226,5 @@
     <RaceCheckPoint name="checkpoint1" yaw=90 pitch=90 position="1000,30,0" roll="0" direction="0,1,0" collisionType="static" scale="1" distance="60" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
         <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_Green.mesh"/>
     </attached>
     <collisionShapes>
@@ -470,11 +470,11 @@
     <RaceCheckPoint name="checkpoint20" yaw=90 pitch=90 position="53000,0,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="19" islast="true">
         <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_Finish.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,90"      halfExtents="90, 13, 13" />
+        <BoxCollisionShape position="0,0,-90"     halfExtents="90, 13, 13" />
+        <BoxCollisionShape position="90,0,0"      halfExtents="13, 13, 90" />
+        <BoxCollisionShape position="-90,0,0"     halfExtents="13, 13, 90" />
     </collisionShapes>
     </RaceCheckPoint>
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11327)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11328)
@@ -169,4 +169,5 @@
                 minNextRaceCheckPoint = nextRaceCheckPoint;
             }
+
         }
 
@@ -307,4 +308,5 @@
             //orxout()<< "CP "<< currentRaceCheckpoint_->getCheckpointIndex()<<" chanched to: "<< nextRaceCheckpoint_->getCheckpointIndex()<<endl;
         }
+
         else if ((lastPositionSpaceship-this->getControllableEntity()->getPosition()).length()/dt > ADJUSTDISTANCE)
         {
Index: /code/branches/SpaceRace_HS16/src/orxonox/infos/Bot.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/orxonox/infos/Bot.cc	(revision 11327)
+++ /code/branches/SpaceRace_HS16/src/orxonox/infos/Bot.cc	(revision 11328)
@@ -70,28 +70,22 @@
             "Berkay Berabi",
             "Louis  Meile"
-            "Dr. Julius No",
+            "Dr. Julius No 3",
             "Rosa Klebb",
-            "Auric Goldfinger",
-            "Emilio Largo",
-            "Ernst Stavro Blofeld",
+            "Muten Roshi",
+            "Abradolf Lincler",
             "Dr. Kananga",
             "Francisco Scaramanga",
             "Karl Stromberg",
             "Sir Hugo Drax",
-            "Aris Kristatos",
             "Kamal Khan",
             "General Orlov",
-            "Max Zorin",
-            "Brad Whitaker",
             "General Georgi Koskov",
-            "Franz Sanchez",
+            "Karl the Llama",
             "Alec Trevelyan",
-            "Elliot Carver",
-            "Elektra King",
-            "Viktor Zokas",
-            "Gustav Graves",
+            "Thomas the Tankengine",
+            "Rick",
+            "Morty",
+            "Charlie the Unicorn",
             "Kung Fury",
-            "Mr. White",
-            "Dominic Greene"
         };
         static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));