Index: code/branches/BigShip_HS16/data/levels/Endurancefinal.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/Endurancefinal.oxw	(revision 11329)
+++ code/branches/BigShip_HS16/data/levels/Endurancefinal.oxw	(revision 11329)
@@ -0,0 +1,42 @@
+<LevelInfo
+ name = "Endurancefinal"
+ description = "Endurance Bigship."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="1000" maxhealth="1000" initialhealth="1000">
+      <templates>
+        <Template link=endurance />
+      </templates>
+    </ModularSpaceShip>
+    
+  </Scene>
+</Level>
+
Index: code/branches/BigShip_HS16/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/emptyLevel.oxw	(revision 11320)
+++ code/branches/BigShip_HS16/data/levels/emptyLevel.oxw	(revision 11329)
@@ -1,4 +1,4 @@
 <LevelInfo
- name = "Empty level"
+ name = "emptyLevel"
  description = "A level with absolutely nothing in it."
  tags = "test"
@@ -32,5 +32,5 @@
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
-    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="350" maxhealth="400" initialhealth="350">
+    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="1000" maxhealth="1000" initialhealth="1000">
       <templates>
         <Template link=endurance />
Index: code/branches/BigShip_HS16/data/levels/endurancetest.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/endurancetest.oxw	(revision 11320)
+++ 	(revision )
@@ -1,134 +1,0 @@
-<LevelInfo
-name = "endurancetest"
-description = "endurance test level"
-tags = "test"
-screenshot = "emptylevel.png"
-/>
-
-<?lua
-include("stats.oxo")
-include("HUDTemplates3.oxo")
-include("templates/lodInformation.oxt")
-?>
-
-<!-- Spaceship included in the level -->
-
-<?lua
-include("templates/spaceshipPirate.oxt")
-?>
-
-<Level>
-
-	<templates>
-
-		
-		<Template name = endurance>
-
-			<!-- Spaceship parameters -->
-			<SpaceShip
-			hudtemplate            = spaceshiphud
-			camerapositiontemplate = bigshipcameras
-			spawnparticlesource    = "Orxonox/fairytwirl"
-			spawnparticleduration  = 3
-			explosionchunks        = 6
-
-			health            = 100
-			maxhealth         = 200
-			initialhealth     = 100
-
-			shieldhealth        = 100
-			initialshieldhealth = 30
-			maxshieldhealth     = 50
-			shieldabsorption    = 0.8
-			shieldrechargerate  = 1
-			shieldrechargewaittime = 1
-
-			primaryThrust     = 30
-			auxilaryThrust    = 30
-			rotationThrust    = 10
-
-			lift = 1;
-			stallSpeed = 220;
-
-			boostPower            = 30
-			boostPowerRate        = 1.5
-			boostRate             = 4
-			boostCooldownDuration = 10
-
-			shakeFrequency = 15
-			shakeAmplitude = 9
-
-			collisionType     = "dynamic"
-			mass              = 1000
-			linearDamping     = 0.7
-			angularDamping    = 0.9999999
-			>
-
-
-			<!-- Engines of the Spaceship -->
-
-			
-
-			 <engines>
-				<MultiStateEngine position=" 15, 0, 0" template=bigshipengine />
-				<MultiStateEngine position="-15, 0, 0" template=bigshipengine />
-			</engines>
-
-			<!-- Testsphere in testlevel -->
-
-			<MovableEntity position ="0, 0, 0"  velocity= "10, 0, 0"  collisionType=dynamic mass=1000 friction=0.01 >
-
-				<!-- use attached for the different spaceship parts and the lights -->
-				<!-- BlinkingBillboard class for blinking lights -->
-				<attached>
-					<Model position="0,0,0" mesh="sphere.mesh" scale3D="100,100,100" />
-				</attached>
-
-				<!-- Collision Shapes -->
-
-				<collisionShapes>
-				<SphereCollisionShape position="0,0,0" radius="100" />
-			</collisionShapes>
-		</MovableEntity>
-
-		<!-- Explosion and Explosionparts -->
-
-		<!-- Cameras and Cameraposition -->
-
-		<!-- Multistateengine definition + engine sounds -->
-
-		<!-- Large coordinate axis -->
-		<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
-
-		<!-- Spawnpoint of the Spaceship -->
-		<SpawnPoint team=0 position = "-100,0,0" lookat="0,0,0" spawnclass=Spaceship pawndesign=spaceshippirate />
-
-		<!-- Planets and forcefields -->
-
-
-		<!-- Blacklight to illuminate surfaces -->
-
-		
-
-		<!-- Egine sound of the Spaceship -->
-		<WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
-
-		<!-- World Ambient Sound -->
-		
-	</SpaceShip>
-</Template>
-</templates>
-
-<?lua include("includes/notifications.oxi") ?>
-
-<Scene
-ambientlight = "0.9, 0.9, 0.9"
-skybox       = "skyBoxMoreNebula"
->
-
-<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-<SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-</Scene>
-</Level>
-
Index: code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw	(revision 11320)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<LevelInfo
- name = "Endurance1"
- description = "Endurance test level"
- tags = "test"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipEscort.oxt")
-  //include("templates/endurancetest_template.oxt")
-  
-?>
-
-<Level>
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
-  >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="-100,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-    <!--ModularSpaceship position="0,0,0" velocity="0,0,0" >
-      <templates>
-        <Template link=endurance/>
-      </templates>
-    </ModularSpaceship-->
-
-    
-  </Scene>
-</Level>
-
Index: code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11320)
+++ code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11329)
@@ -1,9 +1,10 @@
 <Template name = endurance>
 
+    <!-- Spaceship parameters -->
 
 	<ModularSpaceShip 
 	name = endurance
 	collisionType= "dynamic" 
-	mass = 10000 
+	mass = 10000000 
 
 	health = 1000
@@ -20,18 +21,11 @@
    	>
 	
-   	<!-- destructible parts -->
+   	<!-- Destructible parts -->
 
    	<parts>
 
-   		<ShipPart name = "tunnelsystem" initialhealth="500" maxhealth="500" damageabsorption="0.5" explosionposition="0,0,0">
-            <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
-                <!--PartDestructionEvent targetType="part" targetName ="mistery1"   operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="mistery2"   operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip1"   operation="destroy"  />
-                <PartDestructionEvent targetType="part" targetName ="EnduranceSmallShip2"   operation="destroy"  /-->
-
-
-
+   		<ShipPart name = "tunnelsystem" initialhealth="1000" maxhealth="1000" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
             </destructionevents>
         </ShipPart>
@@ -49,5 +43,4 @@
         </ShipPart>
 
-
    		<ShipPart name = "EnduranceSmallShip1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
@@ -61,5 +54,4 @@
             </destructionevents>
         </ShipPart>
-
 
         <ShipPart name = "ct12" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
@@ -171,8 +163,5 @@
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
-                <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />
-                
-
-
+                <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />  
             </destructionevents>
         </ShipPart>
@@ -236,52 +225,42 @@
     </parts>
 
+    <!-- Explosion effects -->
 
     <explosion >
 
 
-      <ExplosionPart scale = 10 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
       <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
       <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
       <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-
-
-
-
-      <ExplosionPart scale = 10 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart scale = 10 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart offset="20,13,-15" delay=1.5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart offset="30,13,-15" delay=1.5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart offset="20,13,-15" delay=1.5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-      <ExplosionPart offset="-20,-13,-15" delay=2 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart offset="-20,-13,-15" delay=2 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart offset="-20,-13,-15" delay=2 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+ 
+      <ExplosionPart scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+     
+      <ExplosionPart offset="20,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="30,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="20,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
     </explosion>
 
 
     <attached>
+
+
+
 
         <Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" lookat="0,0,0" pitch="-30" yaw="0" roll="90" />
@@ -820,14 +799,8 @@
 		</StaticEntity>
 
-		<!-- x-coordinate = red,  z-coordinate = green, y-coordinate = blue, -->
-
+		
 	</attached>
 
-	<!--collisionShapes>
-
-			<BoxCollisionShape position="-100,0,0" halfExtents="10,10,10" />
-
-			</collisionShapes-->
-
+	
 
 	</ModularSpaceShip>